參考

爬蟲 API

Agentscan 可驗證的爬蟲,以及每個爬蟲的核驗方式。無需金鑰。

列出可驗證的爬蟲

GET/v1/crawlers
無需金鑰

回應欄位

  • crawlers[].slugstring

    驗證時作為 bot 傳入的識別碼。

  • crawlers[].tokensstring[]

    爬蟲傳送的 user-agent 標記。

  • crawlers[].methodstring

    爬蟲的驗證方式,例如 ip-list+reverse-dns。

  • crawlers[].verifiableboolean

    營運方公布了可供核對的資料時為 true。

  • crawlers[].reverseDnsstring[]

    真實請求解析到的主機名稱後綴。

  • crawlers[].prefixFilesstring[]

    檢查時使用的已公布 IP 範圍檔案。

  • countinteger

    列出的爬蟲數量。

curl https://ipscanner.io/v1/crawlers
回應
{
  "count": 36,
  "crawlers": [
    {
      "slug": "googlebot",
      "name": "Googlebot",
      "tokens": [
        "googlebot"
      ],
      "method": "ip-list+reverse-dns",
      "verifiable": true,
      "reverseDns": [
        "googlebot.com",
        "google.com"
      ],
      "prefixFiles": [
        "https://developers.google.com/static/search/apis/ipranges/googlebot.json"
      ],
      "docs": "https://developers.google.com/search/docs/crawling-indexing/verifying-googlebot"
    },
    {
      "slug": "gptbot",
      "name": "GPTBot",
      "tokens": [
        "gptbot"
      ],
      "method": "ip-list",
      "verifiable": true,
      "prefixFiles": [
        "https://openai.com/gptbot.json"
      ],
      "docs": "https://platform.openai.com/docs/bots"
    }
  ],
  "note": "Crawlers this service can verify by evidence the operator publishes."
}